Compatibility wordpress version and specific theme.

Hi, it is compatible with the famous avada theme ? and also with the 2.5.2 version of wordpress ?

Cheers.